Loading...
Searching...
No Matches
wayland-client.hpp File Reference
`#include <atomic>`
`#include <cstdint>`
`#include <functional>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include <wayland-version.hpp>`
`#include <wayland-client-core.h>`
`#include <wayland-util.hpp>`
`#include <wayland-client-protocol.hpp>`
Include dependency graph for wayland-client.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | wayland::event_queue_t
| A queue for proxy_t object events. More...
class | wayland::proxy_t
| Represents a protocol object on the client side. More...
class | wayland::read_intent
| Represents an intention to read from the display file descriptor. More...
class | wayland::display_t
| Represents a connection to the compositor and acts as a proxy to the display singleton object. More...

## Typedefs

using | wayland::log_handler = std::function< void(std::string)>
| Type for functions that handle log messages.

## Functions

void | wayland::set_log_handler (log_handler handler)
| Set C library log handler.

## Typedef Documentation

## log_handler

using wayland::log_handler = typedef std::function<void(std::string)>

Type for functions that handle log messages.

Log message is the first argument

Definition at line 48 of file wayland-client.hpp.

## Function Documentation

## set_log_handler()

void wayland::set_log_handler | ( | log_handler | handler | ) |

Set C library log handler.

The C library sometimes logs important information such as protocol error messages, by default to the standard output. This can be used to set an alternate function that will receive those messages.

Parameters

  handler | function that should be called for C library log messages